<!DOCTYPE html>
<html>
  <head>
    <title>Rock Paper Scissors</title>
  </head>
  <body>

    <p>Rock Paper Scissor</p>
    <button onclick=" 
      const computerMove = pickComputeMove();
      let result = '';

      if (computerMove === 'rock') {
        result = 'Tie.'
      } else if(computerMove === 'paper') {
        result = 'you Lose';
      } else if (computerMove === 'scissors') {
        result = 'You Win.'
      }

      alert(`You picked rock. Computer picked ${computerMove}. ${result}`);
      ">Rock</button>

    <button onclick="

        const computerMove = pickComputeMove();
        if (computerMove === 'rock') {
          result = 'You Win..'
        } else if(computerMove === 'paper') {
          result = 'Tie';
        } else if (computerMove === 'scissors') {
          result = 'You Lose.'
        }

        alert(`You picked paper. Computer picked ${computerMove}. ${result}`);
    ">Paper</button>

    <button onclick="

        pickComputeMove();

        if (computerMove === 'rock') {
          result = 'You Lose.'
        } else if(computerMove === 'paper') {
          result = 'you Win';
        } else if (computerMove === 'scissors') {
          result = 'Tie.'
        }

        alert(`You picked rock. Computer picked ${computerMove}. ${result}`);
    ">Scissor</button>


    <script>

      let computerMove = '';

      function pickComputeMove() {
        const randomNumber = '';

        
        if (randomNumber >= 0 && randomNumber < 1/3) {
          const computerMove = 'rock';
        } else if (randomNumber >= 1/3 && randomNumber < 2/3) {
          const computerMove = 'paper';
        } else if (randomNumber >= 2/3 && randomNumber < 1) {
          const computerMove = 'scissor';
        }

        return 'rock';
      }
    </script>
  </body>
</html>